package vip.xiaonuo.coldchain.core.renke;

import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Component;
import rk.netDevice.sdk.p2.RSServer;

import java.util.List;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/1 16:23:41
 */
@Component
@RequiredArgsConstructor
public class RenKeService {
    private final RSServer rsServer;

    /**
     * 召唤设备参数信息
     *
     * @param deviceId
     * @return
     */
    public boolean callParamIds(Integer deviceId) {
        return rsServer.callParamList(deviceId);
    }

    public boolean callParameters(Integer deviceId, List<Integer> paramIds) {
        return rsServer.callParam(deviceId, paramIds);
    }


}
